<template>
    <div class="addLot__miniTitle-wrapper">
        <p class="addLot__miniTitle">Особенность предмета</p>
        <a class="addLot__myItemNotInList js-open-modal"
           href="" @click.prevent="appStore.toggleActiveModals('spor', true)"
           data-modal="obrSvaz">Особенности нет в списке</a>
    </div>

    <div class="addLot__sixLine-wrapper swiper"
         data-slideperview="1">
         <swiper-container  class="addLot__sixLine lineSlider"
                :loop="false"
                :scrollbar="{draggable: true,}"
                :slides-per-view="'auto'"
                style="--swiper-scrollbar-bottom: 0; --swiper-scrollbar-size: 17px; --swiper-scrollbar-bg-color: var(--background-header);
                --swiper-scrollbar-sides-offset: 0%; --swiper-scrollbar-drag-bg-color: #FF812F;">
            <swiper-slide class="addLot__sixLine-block swiper-slide">
            <div v-for="featureIcon in form.item.iconFeatures"
                     :class="{active:_.find(form.features_icon, featureIcon)}"
                     class="addLot__sixLine-item ">
                    <div @click="add(featureIcon)"
                         class="addLot__sixLine-top">
                        <img width="30" class="addLot__sixLine-img"
                             :src="featureIcon.icon" alt="">
                    </div>
                    <p class="addLot__sixLine-bottom">{{ featureIcon.name }}</p>
                </div>
            </swiper-slide>
        </swiper-container >
        <div class="addLot__scrollbar swiper-scrollbar"></div>
        <div class="addLot__slider-line mobile">
            <svg class="addLot__prevButton addLot__slider-button swiper-button-prev" width="14" height="16" viewbox="0 0 14 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M0.292893 7.29289C-0.0976315 7.68342 -0.0976315 8.31658 0.292893 8.70711L6.65685 15.0711C7.04738 15.4616 7.68054 15.4616 8.07107 15.0711C8.46159 14.6805 8.46159 14.0474 8.07107 13.6569L2.41421 8L8.07107 2.34315C8.46159 1.95262 8.46159 1.31946 8.07107 0.928932C7.68054 0.538408 7.04738 0.538408 6.65685 0.928932L0.292893 7.29289ZM14 7L1 7V9L14 9V7Z" fill="#414141"></path>
            </svg>
            <div class="addLot__pagination swiper-pagination"></div>
            <svg class="addLot__nextButton addLot__slider-button swiper-button-next" width="14" height="16" viewbox="0 0 14 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M13.7071 8.70711C14.0976 8.31658 14.0976 7.68342 13.7071 7.29289L7.34315 0.928933C6.95262 0.538408 6.31946 0.538408 5.92893 0.928933C5.53841 1.31946 5.53841 1.95262 5.92893 2.34315L11.5858 8L5.92893 13.6569C5.53841 14.0474 5.53841 14.6805 5.92893 15.0711C6.31946 15.4616 6.95262 15.4616 7.34315 15.0711L13.7071 8.70711ZM-8.74228e-08 9L13 9L13 7L8.74228e-08 7L-8.74228e-08 9Z" fill="#414141"></path>
            </svg>
        </div>
    </div>
</template>

<script setup>
import _ from 'lodash';
import {inject} from "vue";
import {UseAppStore} from '@/Stores/AppStore';
import { register } from 'swiper/element/bundle';

register();

register();
const appStore = UseAppStore();

const form = inject('form')
const add = (feature) => {
    console.log(form.features_icon);
    if(!_.find(form.features_icon, feature)){
        form.features_icon.push(feature)
    }else{
        _.remove(form.features_icon, feature);
    }
}
</script>


